Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.util
Interface MemberName

All Superinterfaces:
  Comparable<GenericName>, GenericName, LocalName

    @UML(identifier="MemberName",
         specification=ISO_19103)
    public interface MemberName

extends LocalName

The name to identify a member of a record. This name bears an association with a type name. There may be alternate implementations of this: for instance, one implementation may apply to the in-memory model. Another may apply to a shapefile data store, etc.

Since:
  GeoAPI 2.1

Method Summary
`TypeName` | `getAttributeType()` Returns the type of the data associated with the record member.

Methods inherited from interface LocalName
`depth, getParsedNames, name, toString`

Methods inherited from interface GenericName
`asLocalName, asScopedName, getScope, push, scope, toFullyQualifiedName, toInternationalString`

Methods inherited from interface Comparable
`compareTo`

Method Detail

### getAttributeType

    @UML(identifier="attributeType",
         obligation=MANDATORY,
         specification=ISO_19103)
    TypeName getAttributeType()

  Returns the type of the data associated with the record member.

  TODO:
    Check in the specification if this association is really navigable that way. This association seems redundant with `RecordType.locate(org.opengis.util.MemberName)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.